<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Notes</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" crossorigin="anonymous">
  </head>
  <header>
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
      <div class="container-fluid">
        <a class="navbar-brand" href="#">MyNotes</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
          <ul class="navbar-nav me-auto mb-2 mb-md-0">
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="/lab-4/add-note">Add Note</a>
            </li>
            <li class="nav-item">
              <a  class="nav-link active" aria-current="page" href="/lab-4/">All Notes</a>
            </li>
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="/lab-4/note-list">List Notes</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
  </header>
  <body>
    <br>
    <h3 class="mt-5 text-center">Notes</h3>
    <br>
    <div class="ms-4 row row-cols-1 row-cols-md-3 g-4">
        {% for note in notes1 %}
        <div class="col">
        <div class="card text-white bg-dark mb-3" style="width: 24rem;">
          <div class="card-header">
              <h5 class="card-title">{{note.title}}</h5>
          </div>
          <div class="card-body">
              <h6 class="card-subtitle mb-2 text-muted">To: {{note.to}}</h6>
              <h6 class="card-subtitle mb-2 text-muted">From: {{note.from_m}}</h6>
              <p class="card-text">{{note.message}}</p>
          </div>
        </div>
        </div>
        {% endfor %}
    </div>
  </body>
</html>